### Method

# Gimp Path get_strokes

since: 2.4

#### Declaration [src]

    gint*
    gimp_path_get_strokes (
      GimpPath* path,
      gsize* num_strokes
    )

#### Description [src]

List the strokes associated with the passed path.

Returns an Array with the stroke-IDs associated with the passed path.

Available since: 2.4

#### Parameters

`num_strokes`

  Type: `gsize*`

  The number of strokes returned.

  The argument will be set by the function.

#### Return value

Type: An array of `gint32`

         List of the strokes belonging to the path.
         The returned value must be freed with g_free().

The length of the array is in the `num_strokes` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.